#include <stdio.h>

int main(int argc, char *argv[])
{
    // 定义一个char类型的变量并赋值，输出字符使用c%
    char a = 'w';
    printf("a = %c\n",a);

    // 定义一个short类型的变量并赋值
    short b = 100;
    printf("b = %d\n",b);

    // 定义一个int类型的变量并赋值，输出int类型变量的值使用%d
    int c = 9999;
    printf("c = %d\n",c);

    // 定义一个long类型的变量并赋值，输出long类型变量的值使用%ld
    long d = 2342341;
    printf("d = %ld\n",d);

    float e = 3.1415926;
    printf("e = %f\n",e);

    double f = 3234.234214342345;
    printf("f = %lf\n",f);

    return 0;
}
